BANK MEGA SYARIAH - ES - Bug #1409

[ Mobile ] - Attendance Type
07/26/2022 03:05 PM - ericsson ericsson

Status: Revise Start date: 07/26/2022
Priority: High Due date:

Assignee: fernando sergio rumbayan % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Dear, Tim Developer.

Mohon bantuannya, untuk ESS Attendance via mobile, saat user memilih attendance type selain "NORMAL" data yg ke posting ke
PHRPAOQ019 selalu Attendance Type Normal, meskipun user memilih attendance selain normal.

Activation : BMSDEV

User Login : ds1

Password : 123Aa

Server : remote.minovais.com, 1442\SQLSERVER2014
Database : MinovaES_BankMegaSyariah_Dev

Welcome back. staff
#1 - 08/02/2022 03:50 PM - ericsson ericsson

1000 Normal

2000 Training

3000 Business Trip

4000 SPJ (Surat Perintah Jalan)

5000 IPC (ljin Pulang Cepat)

6000 IBJ (ljin Beberapa Jam)

7000 IDT (ljin Datang Terlambat)

8000 ITM ID (ljin Tidak Membawa ID Card)

#2 - 08/02/2022 03:58 PM - Saswanto Tampan
- Status changed from Assigned to Revise

- Assignee changed from Saswanto Tampan to ericsson ericsson

update API2
~/TM.asmx
MinovalS.MinovaES.Business. TM.dII

PCUSTFEATURE pada WidgetFunction dimana Featureld = WidgetAbsensi
sekalian dilengkapi untuk validasi absennya ada validasi apa saja dan berlaku pada absentype apa saja

#3 - 08/25/2022 09:32 AM - ericsson ericsson

- Assignee changed from ericsson ericsson to Saswanto Tampan

validasi untuk attendance :
1. hanya boleh 1 kali clock in pada semua attendance type di setiap harinya.
2. hanya boleh 1 kali clock out pada semua attendance type di setiap harinya.

#4 - 10/31/2022 10:29 AM - Saswanto Tampan

- Assignee changed from Saswanto Tampan to fernando sergio rumbayan
